org.fife.ui.rsyntaxtextarea

## Class TokenUtils.TokenSubList

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.TokenUtils.TokenSubList

Enclosing class:
  TokenUtils

    public static class TokenUtils.TokenSubList
    extends Object

### Field Summary

Fields
`Token` `tokenList` The "sub" token list.
`float` `x` The width, in pixels, of the part of the token list "removed from the front."

### Constructor Summary

Constructors
Constructor and Description
`TokenUtils.TokenSubList(Token tokenList, float x)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tokenList

    public Token tokenList

The "sub" token list.

#### x

    public float x

The width, in pixels, of the part of the token list "removed from the front." This way, you know the x-offset of the "new" token list.

### Constructor Detail

#### TokenUtils.TokenSubList

    public TokenUtils.TokenSubList(Token tokenList,
                           float x)